Bug 165224 - remove support for obsolete ignoredeps kickstart option
remove support for obsolete ignoredeps kickstart option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhel-sag (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joshua Wulf
John Ha
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 12:36 EDT by David Lehman
Modified: 2014-10-19 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 16:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2005-08-05 12:36:16 EDT
Description of problem:
Support for "%packages --ignoredeps" was removed as of RHEL3 but the support for
parsing and setting the associated flags is still present. It should be removed
so as to alleviate any confusion about the state of that functionality.

Version-Release number of selected component (if applicable):
anaconda-9.1.5.8-1.RHEL

How reproducible:
Always

Steps to Reproduce:
1. Observe the fact that kickstart.py still supports --ignoredeps
2.
3.
  
Actual results:
ignoredeps is still parsed/handled but it does nothing save cause confusion

Expected results:
dead code must be purged

Additional info:
Might as well nuke this code from RHEL4 branch as well.
Comment 3 Samuel Benjamin 2005-08-15 10:59:17 EDT
Please assign this bug to the developer who can modify the kickstart
documentation  and move this issue to closure.
Comment 5 Samuel Benjamin 2005-08-22 12:58:08 EDT
Which package will this fix appear in ? Please provide a link to the changed
docuemntation. I would like the customer to verify this so they can close this
case. Thanks.
Comment 6 Mike Behm 2005-11-03 09:06:33 EST
The option has been removed and will not appear in the next release of this
manual. Keep this bug open until the manual is released so that the customer can
verify the fix. 
Comment 7 Joshua Wulf 2006-11-29 00:31:11 EST
--nodeps and --resolvedeps are deprecated in RHEL 5 and have been documented as
such in the Installation Guide.

Note You need to log in before you can comment on or make changes to this bug.